Subject: Re: [PATCH 4/7] shortlog: support arbitrary commit format `--group`s

From: Taylor Blau <[email-masked]>
Date: Mon, 10 Oct 2022 21:28:24 -0400

On Mon, Oct 10, 2022 at 09:24:32PM -0400, Taylor Blau wrote:
> > Makes sense. Two other tests that might be worth including:
> >
> >   - "shortlog --group=bogus" generates an error (we might already have
> >     such a test; I didn't check)
>
> We didn't have such a test before, so adding one is a good call, thanks!

Just writing back to say that this was a really good suggestion, since
it caught my mistake in writing:

    } else if (strchrnul(arg, '%')) {

since we'll always get back a non-NULL answer from calling `strchrnul`
instead of `strchr`.

Thanks ;-).

Thanks,
Taylor